A lower software version may be run using a higher version license (please see the specific examples below). See the version specific examples below. This may require creating and using a text file named level.txt within the installation folder of the earlier product version. 

Level.txt file

To create a level.txt file, create a text file with the Product Level and Product Version of the current license (please see examples below for exact specifications). Rename the file as level.txt and copy into the location listed below.

Location of level.txt file

NOTE: This process may not work when versions are separated by more than one major release, in which case the license file for the older version should be requested. It is not possible to run V15 using V16 license, because the licensing system has changed between program versions.

Related Incident:

CSiBridge Examples

Running CSiBridge 2017 (v19) using a CSiBridge v20 (2018) license

When running CSiBridge 2017 (v19) using a CSiBridge v20 (2018), the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'PLUS', 'PLUSRATING', 'ADVANCED' or 'ADVANCEDRATING', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. Please note in this case, the product version for the current license is "2018" and not version "20".

For example:

ADVANCED 2018 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

Running CSiBridge 2016 (v18) using a CSiBridge 2017 (v19) license

When running CSiBridge 2016 (v18) using a CSiBridge 2017 (v19), the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'PLUS', 'PLUSRATING', 'ADVANCED' or 'ADVANCEDRATING', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

ADVANCED 2017 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

Running CSiBridge 2015 (v17) using a CSiBridge 2016 (v18)  license

PLEASE NOTE: Only the latest version of CSiBridge 2015 (v17.3.0 RMS 8.6) will work with the CSiBridge 2016 license. Please email support (support@csiamerica.com) to download CSiBridge 2015. This version is not available for download from the CSI Installation Wizard. Please uninstall your current CSiBridge 2015 before installing the new CSiBridge 2015 (v17.3.0 RMS 8.6). CSiBridge 2015 v17.3.0 RMS 8.6 is is identical to CSiBridge 2015 v17.3.0 except for the update to the licensing.

 

When running CSiBridge 2015 (v17) using a CSiBridge 2016 (v18), a level.txt is not required. 

Please see your licensing option below for the appropriate locations for where the activated license should reside: 

Running CSiBridge 2014 (v16) using a CSiBridge 2015 (v17)  license

PLEASE NOTE: Only CSiBridge 2014 (v16.1.0/1) will work with the CSiBridge 2015 (v17) license. Please check you have upgraded to this version. CSiBridge v16.1.0/1 is identical to CSiBridge v16.1.0 except for the update to the licensing.

When running CSiBridge 2014 (v16) using a CSiBridge 2015 (v17), the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'PLUS', 'PLUSRATING', 'ADVANCED' or 'ADVANCEDRATING', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

ADVANCED 2015 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

ETABS Examples

Running ETABS 2016 using an ETABS 17 license

PLEASE NOTE: Only the latest version of ETABS 2016 (v16.2.2) will work with the ETABS v17 license. Please email support (support@csiamerica.com) to download ETABS v16.2.2. This version is not available for download from the CSI Installation Wizard. ETABS v16.2.2 is functionally identical to ETABS v16.2.1 except for the update to the licensing. Model files are interchangeable between the two versions, and both versions produce identical results to within the numerical accuracy of the computer.

 

When running ETABS 2016 using a ETABS 17 license, a level.txt is not required. 

Please see your licensing option below for the appropriate locations for where the activated license should reside: 

Running ETABS 2015 using an ETABS 2016 license

PLEASE NOTE: Only the latest version of ETABS 2015 (v15.2.3) will work with the ETABS 2016 license. Please email support (support@csiamerica.com ) to download ETABS 2015 (v15.2.3). This version is not available for download from the CSI Installation Wizard. ETABS v15.2.3 is functionally identical to ETABS v15.2.2 except for the update to the licensing. Model files are interchangeable between the two versions, and both versions produce identical results to within the numerical accuracy of the computer.

 

When running ETABS 2015 using a ETABS 2016 license, a level.txt is not required. 

Please see your licensing option below for the appropriate locations for where the activated license should reside: 

Running ETABS 2013 using an ETABS 2015 license

When running ETABS 2013 using a ETABS 2015 license, the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'PLUS', 'NONLINEAR' or 'ULTIMATE', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

NONLINEAR 2015 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

SAFE Example

Running SAFE 2014 using a SAFE 2016 license

PLEASE NOTE: Only the latest version of SAFE 2014 (v14.2.1) will work with the SAFE 2016 license. This new version of SAFE 2014 (v14.2.1) can be downloaded from here (it is not available for download from the CSI Installation Wizard). SAFE v14.2.1 is functionally identical to SAFE v14.2.0 except for the update to the licensing. Model files are interchangeable between the two versions, and both versions produce identical results to within the numerical accuracy of the computer.

 

When running SAFE 2014 using a SAFE 2016 license, a level.txt is not required. 

Please see your licensing option below for the appropriate locations for where the activated license should reside: 

SAP2000 Examples

Running SAP2000 v19 using a SAP2000 v20 license

When running SAP2000 v19 using a SAP2000 v20 license, the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'BASIC', 'PLUS', 'ADVANCED' or 'ULTIMATE', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

ADVANCED 20 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

Running SAP2000 v18 using a SAP2000 v19 license

When running SAP2000 v18 using a SAP2000 v19 license, the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'BASIC', 'PLUS', 'ADVANCED' or 'ULTIMATE', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

ADVANCED 19 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

Running SAP2000 v17 using a SAP2000 v18 license

PLEASE NOTE: Only the latest version of SAP2000 v17.3.0 RMS 8.6 will work with the SAP2000 v18 license. Please email support (support@csiamerica.com ) to download SAP2000 v17.3.0 RMS 8.6. This version is not available for download from the CSI Installation Wizard. Please uninstall your current SAP2000 v17 before installing the new v17.3.0 RMS 8.6. SAP2000 v17.3.0 RMS 8.6 is is identical to SAP2000 v17.3.0 except for the update to the licensing.

 

When running SAP2000 v17 using a SAP2000 v18 license, a level.txt is not required. 

Please see your licensing option below for the appropriate locations for where the activated license should reside: 

Running SAP2000 v16 using a SAP2000 v17 license

When running SAP2000 v16 using a SAP2000 v17 license, the level.txt file created will contain one line with the following information:

Product level should be the level of the current license, for example: 'BASIC', 'PLUS', 'ADVANCED' or 'ULTIMATE', etc. See level.txt for a list of levels for each CSI program. Product version should be the version number of the current license. 

For example:

ADVANCED 17 

Please see your licensing option below for the appropriate locations for where the level.txt and activated license should reside: 

Running SAP2000 v14 using a SAP2000 v15 license

When running SAP2000 v14 using a SAP2000 v15 Advanced license, the level.txt file created will contain the following two lines:

For example:

ADVANCED
15 

Listed below are the installation and licensing combinations with the appropriate locations for where the level.txt and v15 "lservrc" file should reside: 

To use SAP2000 V15 license to run SAP2000 V14 with the add-on module license (Bridge, Staged Construction, Off-Shore), the SAP2000 V14.2.5 program installation and the SAP2000 V15 Ultimate license are required.

NOTE: The *.ini file takes precedence over the level.txt file, therefore it may be best to leave the field for the program level blank in the *.ini file.

To use SAP2000 V15 license to run SAP2000 V14 with the add-on module license (Bridge, Staged Construction, Off-Shore), the SAP2000 V14.2.5 program installation and the SAP2000 V15 Ultimate license are required.

Related Incident:

Related Email:

See Also